<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>EntryNode (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="EntryNode (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":6,"i5":10,"i6":10,"i7":10,"i8":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/EntryNode.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/poifs/filesystem/Entry.html"
               title="interface in org.apache.poi.poifs.filesystem"><span
                class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/poifs/filesystem/EntryUtils.html"
               title="class in org.apache.poi.poifs.filesystem"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/poifs/filesystem/EntryNode.html" target="_top">Frames</a>
        </li>
        <li><a href="EntryNode.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.poifs.filesystem</div>
    <h2 title="Class EntryNode" class="title">Class EntryNode</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.poifs.filesystem.EntryNode</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/poifs/filesystem/Entry.html"
                           title="interface in org.apache.poi.poifs.filesystem">Entry</a></dd>
                </dl>
                <dl>
                    <dt>Direct Known Subclasses:</dt>
                    <dd><a href="../../../../../org/apache/poi/poifs/filesystem/DirectoryNode.html"
                           title="class in org.apache.poi.poifs.filesystem">DirectoryNode</a>, <a
                            href="../../../../../org/apache/poi/poifs/filesystem/DocumentNode.html"
                            title="class in org.apache.poi.poifs.filesystem">DocumentNode</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public abstract class <span class="typeNameLabel">EntryNode</span>
extends java.lang.Object
implements <a href="../../../../../org/apache/poi/poifs/filesystem/Entry.html"
              title="interface in org.apache.poi.poifs.filesystem">Entry</a></pre>
                <div class="block">Abstract implementation of Entry

                    Extending classes should override isDocument() or isDirectory(), as
                    appropriate

                    Extending classes must override isDeleteOK()
                </div>
                <dl>
                    <dt><span class="simpleTagLabel">Author:</span></dt>
                    <dd>Marc Johnson (mjohnson at apache dot org)</dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier</th>
                                <th class="colLast" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected </code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/EntryNode.html#EntryNode-org.apache.poi.poifs.property.Property-org.apache.poi.poifs.filesystem.DirectoryNode-">EntryNode</a></span>(<a
                                        href="../../../../../org/apache/poi/poifs/property/Property.html"
                                        title="class in org.apache.poi.poifs.property">Property</a>&nbsp;property,
                                    <a href="../../../../../org/apache/poi/poifs/filesystem/DirectoryNode.html"
                                       title="class in org.apache.poi.poifs.filesystem">DirectoryNode</a>&nbsp;parent)</code>
                                    <div class="block">create a DocumentNode.</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a
                                    href="javascript:show(4);">Abstract Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/EntryNode.html#delete--">delete</a></span>()</code>
                                    <div class="block">Delete this Entry.</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/EntryNode.html#getName--">getName</a></span>()</code>
                                    <div class="block">get the name of the Entry</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/DirectoryEntry.html"
                                        title="interface in org.apache.poi.poifs.filesystem">DirectoryEntry</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/EntryNode.html#getParent--">getParent</a></span>()</code>
                                    <div class="block">get this Entry's parent (the DocumentEntry that owns this
                                        Entry).
                                    </div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../org/apache/poi/poifs/property/Property.html"
                                        title="class in org.apache.poi.poifs.property">Property</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/EntryNode.html#getProperty--">getProperty</a></span>()</code>
                                    <div class="block">grant access to the property</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>protected abstract boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/EntryNode.html#isDeleteOK--">isDeleteOK</a></span>()</code>
                                    <div class="block">extensions use this method to verify internal rules regarding
                                        deletion of the underlying store.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/EntryNode.html#isDirectoryEntry--">isDirectoryEntry</a></span>()</code>
                                    <div class="block">is this a DirectoryEntry?</div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/EntryNode.html#isDocumentEntry--">isDocumentEntry</a></span>()</code>
                                    <div class="block">is this a DocumentEntry?</div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>protected boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/EntryNode.html#isRoot--">isRoot</a></span>()</code>
                                    <div class="block">is this the root of the tree?</div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/EntryNode.html#renameTo-java.lang.String-">renameTo</a></span>(java.lang.String&nbsp;newName)</code>
                                    <div class="block">Rename this Entry.</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="EntryNode-org.apache.poi.poifs.property.Property-org.apache.poi.poifs.filesystem.DirectoryNode-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>EntryNode</h4>
                                <pre>protected&nbsp;EntryNode(<a
                                        href="../../../../../org/apache/poi/poifs/property/Property.html"
                                        title="class in org.apache.poi.poifs.property">Property</a>&nbsp;property,
                    <a href="../../../../../org/apache/poi/poifs/filesystem/DirectoryNode.html"
                       title="class in org.apache.poi.poifs.filesystem">DirectoryNode</a>&nbsp;parent)</pre>
                                <div class="block">create a DocumentNode. This method is not public by design; it
                                    is intended strictly for the internal use of extending classes
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>property</code> - the Property for this Entry</dd>
                                    <dd><code>parent</code> - the parent of this entry</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getProperty--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getProperty</h4>
                                <pre>protected&nbsp;<a href="../../../../../org/apache/poi/poifs/property/Property.html"
                                                       title="class in org.apache.poi.poifs.property">Property</a>&nbsp;getProperty()</pre>
                                <div class="block">grant access to the property</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the property backing this entry</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isRoot--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isRoot</h4>
                                <pre>protected&nbsp;boolean&nbsp;isRoot()</pre>
                                <div class="block">is this the root of the tree?</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if so, else false</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isDeleteOK--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isDeleteOK</h4>
                                <pre>protected abstract&nbsp;boolean&nbsp;isDeleteOK()</pre>
                                <div class="block">extensions use this method to verify internal rules regarding
                                    deletion of the underlying store.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if it's ok to delete the underlying store, else
                                        false
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getName--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getName</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getName()</pre>
                                <div class="block">get the name of the Entry</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/poifs/filesystem/Entry.html#getName--">getName</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/poifs/filesystem/Entry.html"
                                                title="interface in org.apache.poi.poifs.filesystem">Entry</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>name</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isDirectoryEntry--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isDirectoryEntry</h4>
                                <pre>public&nbsp;boolean&nbsp;isDirectoryEntry()</pre>
                                <div class="block">is this a DirectoryEntry?</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/poifs/filesystem/Entry.html#isDirectoryEntry--">isDirectoryEntry</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/poifs/filesystem/Entry.html"
                                                title="interface in org.apache.poi.poifs.filesystem">Entry</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if the Entry is a DirectoryEntry, else false</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isDocumentEntry--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isDocumentEntry</h4>
                                <pre>public&nbsp;boolean&nbsp;isDocumentEntry()</pre>
                                <div class="block">is this a DocumentEntry?</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/poifs/filesystem/Entry.html#isDocumentEntry--">isDocumentEntry</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/poifs/filesystem/Entry.html"
                                                title="interface in org.apache.poi.poifs.filesystem">Entry</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if the Entry is a DocumentEntry, else false</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getParent--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getParent</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/DirectoryEntry.html"
                                        title="interface in org.apache.poi.poifs.filesystem">DirectoryEntry</a>&nbsp;getParent()</pre>
                                <div class="block">get this Entry's parent (the DocumentEntry that owns this
                                    Entry). All Entry objects, except the root Entry, has a parent.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/poifs/filesystem/Entry.html#getParent--">getParent</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/poifs/filesystem/Entry.html"
                                                title="interface in org.apache.poi.poifs.filesystem">Entry</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>this Entry's parent; null iff this is the root Entry</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="delete--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>delete</h4>
                                <pre>public&nbsp;boolean&nbsp;delete()</pre>
                                <div class="block">Delete this Entry. This operation should succeed, but there are
                                    special circumstances when it will not:

                                    If this Entry is the root of the Entry tree, it cannot be
                                    deleted, as there is no way to create another one.

                                    If this Entry is a directory, it cannot be deleted unless it is
                                    empty.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/poifs/filesystem/Entry.html#delete--">delete</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/poifs/filesystem/Entry.html"
                                                title="interface in org.apache.poi.poifs.filesystem">Entry</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if the Entry was successfully deleted, else false</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="renameTo-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>renameTo</h4>
                                <pre>public&nbsp;boolean&nbsp;renameTo(java.lang.String&nbsp;newName)</pre>
                                <div class="block">Rename this Entry. This operation will fail if:

                                    There is a sibling Entry (i.e., an Entry whose parent is the
                                    same as this Entry's parent) with the same name.

                                    This Entry is the root of the Entry tree. Its name is dictated
                                    by the Filesystem and many not be changed.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/poifs/filesystem/Entry.html#renameTo-java.lang.String-">renameTo</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/poifs/filesystem/Entry.html"
                                                title="interface in org.apache.poi.poifs.filesystem">Entry</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>newName</code> - the new name for this Entry</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if the operation succeeded, else false</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/EntryNode.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/poifs/filesystem/Entry.html"
               title="interface in org.apache.poi.poifs.filesystem"><span
                class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/poifs/filesystem/EntryUtils.html"
               title="class in org.apache.poi.poifs.filesystem"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/poifs/filesystem/EntryNode.html" target="_top">Frames</a>
        </li>
        <li><a href="EntryNode.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
